Bug 1428266 - struts: FTBFS in EPEL 7
Summary: struts: FTBFS in EPEL 7
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: struts
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael Mráka
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-02 07:14 UTC by gil cattaneo
Modified: 2017-05-30 16:54 UTC (History)
1 user (show)

Fixed In Version: struts-1.3.10-14.1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 16:54:21 UTC
Type: Bug


Attachments (Terms of Use)

Description gil cattaneo 2017-03-02 07:14:44 UTC
Description of problem:
Package struts fails to build from source in EPEL 7.

[ERROR] Failed to execute goal org.apache.maven.plugins:maven-javadoc-plugin:2.9:aggregate (default-cli) on project struts-parent: An error has occurred in JavaDocs report generation:
[ERROR] Exit code: 1 - /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/mock/MockActionServlet.java:68: warning: no description for @param
[ERROR] * @param servletContext
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/mock/MockActionServlet.java:77: warning: no description for @return
[ERROR] * @return
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/mock/MockActionServlet.java:86: warning: no description for @param
[ERROR] * @param servletConfig
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/mock/MockActionServlet.java:95: warning: no description for @return
[ERROR] * @return
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/action/ActionServlet.java:1740: error: semicolon missing
[ERROR] * being accessed.  This will be used in the <code>&html:form&gt;</code>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/mock/MockActionServlet.java:52: warning: no @param for servletContext
[ERROR] public MockActionServlet(ServletContext servletContext,
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/mock/MockActionServlet.java:52: warning: no @param for servletConfig
[ERROR] public MockActionServlet(ServletContext servletContext,
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/action/ActionForm.java:140: error: bad use of '>'
[ERROR] * <p>>Can be used to reset all bean properties to their default state.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/upload/MultipartRequestHandler.java:53: warning: no @param for servlet
[ERROR] public void setServlet(ActionServlet servlet);
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/upload/MultipartRequestHandler.java:59: warning: no @param for mapping
[ERROR] public void setMapping(ActionMapping mapping);
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/upload/MultipartRequestHandler.java:64: warning: no @return
[ERROR] public ActionServlet getServlet();
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/upload/MultipartRequestHandler.java:69: warning: no @return
[ERROR] public ActionMapping getMapping();
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/upload/MultipartRequestHandler.java:78: warning: no @param for request
[ERROR] public void handleRequest(HttpServletRequest request)
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/upload/CommonsMultipartRequestHandler.java:347: error: text not allowed in <ol> element
[ERROR] * <code>java.io.tmpdir</code> system property.</li> (/ol> </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/upload/CommonsMultipartRequestHandler.java:347: error: bad use of '>'
[ERROR] * <code>java.io.tmpdir</code> system property.</li> (/ol> </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/upload/CommonsMultipartRequestHandler.java:347: error: unexpected end tag: </p>
[ERROR] * <code>java.io.tmpdir</code> system property.</li> (/ol> </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/upload/CommonsMultipartRequestHandler.java:341: error: element not closed: ol
[ERROR] * the first of the following to be non-empty. <ol> <li>A temp dir
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/upload/FormFile.java:98: warning: no @return
[ERROR] public InputStream getInputStream()
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/upload/MultipartRequestWrapper.java:54: warning: no @param for name
[ERROR] public void setParameter(String name, String value) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/upload/MultipartRequestWrapper.java:54: warning: no @param for value
[ERROR] public void setParameter(String name, String value) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/BeanValidatorForm.java:104: warning: no @param for pathValidation
[ERROR] protected void setPathValidation(boolean pathValidation) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/BeanValidatorForm.java:112: warning: no @return
[ERROR] protected boolean isPathValidation() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/BeanValidatorForm.java:124: warning: no @param for formBeanConfig
[ERROR] public void initialize(FormBeanConfig formBeanConfig) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/BeanValidatorForm.java:134: warning: no @return
[ERROR] public String getStrutsConfigFormName() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/BeanValidatorForm.java:142: warning: no @return
[ERROR] public DynaBean getDynaBean() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/BeanValidatorForm.java:155: warning: no @return
[ERROR] public Object getInstance() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/BeanValidatorForm.java:166: warning: no @param for name
[ERROR] public int size(String name) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/BeanValidatorForm.java:166: warning: no @return
[ERROR] public int size(String name) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/BeanValidatorForm.java:48: error: malformed HTML
[ERROR] * can't be changed to extend <ActionForm</code>.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/BeanValidatorForm.java:48: error: unexpected end tag: </code>
[ERROR] * can't be changed to extend <ActionForm</code>.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/BeanValidatorForm.java:48: error: unexpected end tag: </p>
[ERROR] * can't be changed to extend <ActionForm</code>.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/BeanValidatorForm.java:90: warning: no @param for bean
[ERROR] public BeanValidatorForm(Object bean) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/action/DynaActionForm.java:390: error: unexpected end tag: </p>
[ERROR] * </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:180: warning: no @return
[ERROR] public Map getMap() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:193: warning: no @param for name
[ERROR] protected DynaBean newIndexedBean(String name) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:193: warning: no @return
[ERROR] protected DynaBean newIndexedBean(String name) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:35: warning: nested tag not allowed: <code>
[ERROR] * the <code>LazyDynaBean<code> is handled in the parent
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:36: warning: nested tag not allowed: <code>
[ERROR] * <code>BeanValidatorForm</code>. The only thing it really does is populate
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:37: warning: nested tag not allowed: <code>
[ERROR] * <i>indexed</i> properties which are a <code>List<code> type with a
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:37: warning: nested tag not allowed: <code>
[ERROR] * <i>indexed</i> properties which are a <code>List<code> type with a
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:38: warning: nested tag not allowed: <code>
[ERROR] * <code>LazyDynaBean<code> in the <code>get(name, index)</code> method.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:38: warning: nested tag not allowed: <code>
[ERROR] * <code>LazyDynaBean<code> in the <code>get(name, index)</code> method.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:38: warning: nested tag not allowed: <code>
[ERROR] * <code>LazyDynaBean<code> in the <code>get(name, index)</code> method.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:38: error: end tag missing: </code>
[ERROR] * <code>LazyDynaBean<code> in the <code>get(name, index)</code> method.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:38: error: end tag missing: </code>
[ERROR] * <code>LazyDynaBean<code> in the <code>get(name, index)</code> method.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:37: error: end tag missing: </code>
[ERROR] * <i>indexed</i> properties which are a <code>List<code> type with a
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:37: error: end tag missing: </code>
[ERROR] * <i>indexed</i> properties which are a <code>List<code> type with a
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:35: error: end tag missing: </code>
[ERROR] * the <code>LazyDynaBean<code> is handled in the parent
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:35: error: end tag missing: </code>
[ERROR] * the <code>LazyDynaBean<code> is handled in the parent
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:71: warning: nested tag not allowed: <code>
[ERROR] * a different <code>Map<code> implementation from the default
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:72: warning: nested tag not allowed: <code>
[ERROR] * <code>HashMap</code> or an array for indexed properties, rather than the
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:73: warning: nested tag not allowed: <code>
[ERROR] * default <code>List</code> type:</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:71: error: end tag missing: </code>
[ERROR] * a different <code>Map<code> implementation from the default
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:71: error: end tag missing: </code>
[ERROR] * a different <code>Map<code> implementation from the default
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/LazyValidatorForm.java:138: warning: no @param for bean
[ERROR] public LazyValidatorForm(DynaBean bean) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/Resources.java:90: warning: no @return
[ERROR] public static ValidatorResources getValidatorResources(
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/Resources.java:105: warning: no @return
[ERROR] public static MessageResources getMessageResources(
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/Resources.java:117: warning: no @return
[ERROR] public static MessageResources getMessageResources(
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/Resources.java:231: warning: no @return
[ERROR] public static String getMessage(MessageResources messages, Locale locale,
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/Resources.java:249: warning: no @return
[ERROR] public static String getMessage(HttpServletRequest request, String key) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/Resources.java:265: warning: no @return
[ERROR] public static String getMessage(MessageResources messages, Locale locale,
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/Resources.java:286: warning: no @return
[ERROR] public static String getMessage(ServletContext application,
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/Resources.java:342: warning: no @return
[ERROR] public static ActionMessage getActionMessage(HttpServletRequest request,
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/Resources.java:365: warning: no @return
[ERROR] public static ActionMessage getActionMessage(Validator validator,
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/Resources.java:420: warning: no @return
[ERROR] public static String[] getArgs(String actionName,
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/Resources.java:495: warning: nested tag not allowed: <code>
[ERROR] *                    <code>Field<code> can control the processing of
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/Resources.java:495: error: element not closed: code
[ERROR] *                    <code>Field<code> can control the processing of
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/Resources.java:495: error: element not closed: code
[ERROR] *                    <code>Field<code> can control the processing of
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/Resources.java:499: warning: no @return
[ERROR] public static Validator initValidator(String key, Object bean,
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/validator/validwhen/ValidWhen.java:79: warning: no @param for validator
[ERROR] public static boolean validateValidWhen(Object bean, ValidatorAction va,
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/ImageButtonBean.java:91: warning: no @return
[ERROR] public boolean isSelected() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:175: warning: no @return
[ERROR] public boolean isEscape() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:185: warning: no @param for escape
[ERROR] public void setEscape(boolean escape) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:196: warning: no @return
[ERROR] public String getMessage(String key) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:207: warning: no @return
[ERROR] public String getMessage(String key, Object[] args) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:218: warning: no @return
[ERROR] public String getMessage(String key, Object arg0) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:230: warning: no @return
[ERROR] public String getMessage(String key, Object arg0, Object arg1) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:243: warning: no @return
[ERROR] public String getMessage(String key, Object arg0, Object arg1, Object arg2) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:257: warning: no @return
[ERROR] public String getMessage(String key, Object arg0, Object arg1, Object arg2,
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:274: warning: no @return
[ERROR] public abstract String getMessage(Locale locale, String key);
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:286: warning: no @return
[ERROR] public String getMessage(Locale locale, String key, Object[] args) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:324: warning: no @return
[ERROR] public String getMessage(Locale locale, String key, Object arg0) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:339: warning: no @return
[ERROR] public String getMessage(Locale locale, String key, Object arg0, Object arg1) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:355: warning: no @return
[ERROR] public String getMessage(Locale locale, String key, Object arg0,
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:373: warning: no @return
[ERROR] public String getMessage(Locale locale, String key, Object arg0,
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:385: warning: no @return
[ERROR] public boolean isPresent(String key) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:397: warning: no @return
[ERROR] public boolean isPresent(Locale locale, String key) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:417: warning: no @return
[ERROR] protected String escape(String string) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:449: warning: no @return
[ERROR] protected String localeKey(Locale locale) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:460: warning: no @return
[ERROR] protected String messageKey(Locale locale, String key) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:472: warning: no @return
[ERROR] protected String messageKey(String localeKey, String key) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResources.java:482: warning: no @return
[ERROR] public synchronized static MessageResources getMessageResources(
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResourcesFactory.java:87: warning: no @return
[ERROR] public MessageResourcesConfig getConfig() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResourcesFactory.java:96: warning: no @param for config
[ERROR] public void setConfig(MessageResourcesConfig config) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResourcesFactory.java:130: warning: no @return
[ERROR] public abstract MessageResources createResources(String config);
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/MessageResourcesFactory.java:163: warning: no @return
[ERROR] public static MessageResourcesFactory createFactory() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/ModuleException.java:124: warning: no @param for property
[ERROR] public void setProperty(String property) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/ModuleUtils.java:60: warning: no @return
[ERROR] public static ModuleUtils getInstance() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/RequestUtils.java:290: warning: no @param for servlet
[ERROR] public static String getServletMapping(ActionServlet servlet) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/RequestUtils.java:358: error: malformed HTML
[ERROR] * <code>MultipartRequestWrapper</code object.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/RequestUtils.java:358: error: end tag missing: </code>
[ERROR] * <code>MultipartRequestWrapper</code object.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/ResponseUtils.java:83: warning: no @return
[ERROR] public static String filter(String value) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/ResponseUtils.java:146: warning: no description for @param
[ERROR] * @param url
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/ResponseUtils.java:163: warning: no @param for url
[ERROR] public static String encodeURL(String url, String enc) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/TokenProcessor.java:62: warning: no @return
[ERROR] public static TokenProcessor getInstance() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/TokenProcessor.java:87: warning: no @return
[ERROR] public synchronized boolean isTokenValid(HttpServletRequest request) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/TokenProcessor.java:111: warning: no @return
[ERROR] public synchronized boolean isTokenValid(HttpServletRequest request,
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/TokenProcessor.java:181: warning: no @return
[ERROR] public synchronized String generateToken(HttpServletRequest request) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/util/TokenProcessor.java:194: warning: no @return
[ERROR] public synchronized String generateToken(String id) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/FormBeanConfig.java:117: warning: no @return
[ERROR] public DynaActionFormClass getDynaActionFormClass() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/FormBeanConfig.java:184: warning: no @return
[ERROR] public boolean isRestricted() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/FormBeanConfig.java:193: warning: no @param for restricted
[ERROR] public void setRestricted(boolean restricted) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/FormBeanConfig.java:232: warning: no @throws for java.lang.ClassNotFoundException
[ERROR] protected void inheritFormProperties(FormBeanConfig config)
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/FormBeanConfig.java:232: warning: no @throws for java.lang.IllegalAccessException
[ERROR] protected void inheritFormProperties(FormBeanConfig config)
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/FormBeanConfig.java:232: warning: no @throws for java.lang.InstantiationException
[ERROR] protected void inheritFormProperties(FormBeanConfig config)
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/FormBeanConfig.java:232: warning: no @throws for java.lang.reflect.InvocationTargetException
[ERROR] protected void inheritFormProperties(FormBeanConfig config)
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/FormBeanConfig.java:444: warning: no @return
[ERROR] public FormPropertyConfig findFormPropertyConfig(String name) {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/FormBeanConfig.java:452: warning: no @return
[ERROR] public FormPropertyConfig[] findFormPropertyConfigs() {
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/FormBeanConfig.java:497: warning: no @throws for java.lang.ClassNotFoundException
[ERROR] public void inheritFrom(FormBeanConfig config)
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/FormBeanConfig.java:497: warning: no @throws for java.lang.IllegalAccessException
[ERROR] public void inheritFrom(FormBeanConfig config)
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/FormBeanConfig.java:497: warning: no @throws for java.lang.InstantiationException
[ERROR] public void inheritFrom(FormBeanConfig config)
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/FormBeanConfig.java:497: warning: no @throws for java.lang.reflect.InvocationTargetException
[ERROR] public void inheritFrom(FormBeanConfig config)
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/BaseConfig.java:71: error: self-closing element not allowed
[ERROR] * class. <p /> This method must not be called after configuration is
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/BaseConfig.java:75: error: block element not allowed within inline element <code>: pre
[ERROR] * <code><pre>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/action/ActionRedirect.java:37: error: self-closing element not allowed
[ERROR] * redirecting requests, with support for adding parameters at runtime. <br/>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/action/ActionRedirect.java:54: error: unexpected end tag: </p>
[ERROR] * </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/action/ExceptionHandler.java:59: error: unexpected end tag: </p>
[ERROR] * </p> <p>You would want to use this when your normal ExceptionHandler
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/action/ExceptionHandler.java:89: error: unexpected end tag: </p>
[ERROR] * behavior will be used. </p> <p>You only need to use this if you do not
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/commands/AbstractPopulateActionForm.java:143: error: reference not found
[ERROR] * @see Globals.CANCEL_PROPERTY
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/commands/AbstractPopulateActionForm.java:144: error: reference not found
[ERROR] * @see Globals.CANCEL_PROPERTY_X
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/contexts/ActionContext.java:379: error: reference not found
[ERROR] * @see ActionContextBase.CANCEL_KEY
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/contexts/ActionContext.java:388: error: reference not found
[ERROR] * @see ActionContextBase.CANCEL_KEY
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/contexts/ActionContextBase.java:496: error: unexpected text
[ERROR] * @see this.findOrCreateActionForm(String, String, ModuleConfig)
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/contexts/ActionContextBase.java:56: error: no content
[ERROR] * @see
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/contexts/ActionContextBase.java:61: error: reference not found
[ERROR] * @see Constants.ACTION_FORM_KEY
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/contexts/ActionContextBase.java:51: error: reference not found
[ERROR] * @see Constants.ACTION_KEY
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/contexts/ActionContextBase.java:110: error: reference not found
[ERROR] * @see Constants.CANCEL_KEY
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/contexts/ActionContextBase.java:77: error: reference not found
[ERROR] * @see Constants.EXCEPTION_KEY
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/contexts/ActionContextBase.java:66: error: reference not found
[ERROR] * @see Constants.FORWARD_CONFIG_KEY
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/contexts/ActionContextBase.java:100: error: reference not found
[ERROR] * @see Constants.INCLUDE_KEY
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/contexts/ActionContextBase.java:105: error: reference not found
[ERROR] * @see Constants.LOCALE_KEY
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/contexts/ActionContextBase.java:94: error: reference not found
[ERROR] * @see Constants.MESSAGE_RESOURCES_KEY
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/contexts/ActionContextBase.java:72: error: reference not found
[ERROR] * @see Constants.MODULE_CONFIG_KEY
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/chain/contexts/ActionContextBase.java:115: error: reference not found
[ERROR] * @see Constants.VALID_KEY
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/ActionConfig.java:82: error: unexpected end tag: </p>
[ERROR] * properties from.</p> </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/ConfigHelper.java:433: error: unknown tag: base
[ERROR] * <p> Renders the reference for a HTML <base> element </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/ConfigHelper.java:448: error: unknown tag: base
[ERROR] * <p> Renders the reference for a HTML <base> element. </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/ConfigHelperInterface.java:169: error: unknown tag: base
[ERROR] * <p> Renders the reference for a HTML <base> element </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/ConfigHelperInterface.java:174: error: unknown tag: base
[ERROR] * <p> Renders the reference for a HTML <base> element </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/impl/ModuleConfigImpl.java:189: error: unexpected end tag: </p>
[ERROR] * </p> Has this module been completely configured yet.  Once this flag
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/impl/ModuleConfigImpl.java:191: error: unexpected end tag: </p>
[ERROR] * IllegalStateException.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/impl/ModuleConfigImpl.java:278: error: unexpected end tag: </p>
[ERROR] * </p> Ad   d a new <code>ActionConfig</code> instance to the set
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/core/src/main/java/org/apache/struts/config/impl/ModuleConfigImpl.java:279: error: unexpected end tag: </p>
[ERROR] * associated with this module. </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/taglib/src/main/java/org/apache/struts/taglib/logic/IterateTag.java:103: error: malformed HTML
[ERROR] * The length value or attribute name (<=0 means no limit).
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/taglib/src/main/java/org/apache/struts/taglib/nested/NestedPropertyHelper.java:75: error: malformed HTML
[ERROR] * but is required if support for the <html:form> tag is maintained.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/taglib/src/main/java/org/apache/struts/taglib/nested/NestedPropertyHelper.java:75: error: bad use of '>'
[ERROR] * but is required if support for the <html:form> tag is maintained.</p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/taglib/src/main/java/org/apache/struts/taglib/bean/WriteTag.java:283: error: malformed HTML
[ERROR] * <http://www.dei.unipd.it/corsi/fi2ae-docs/source/jdk1.1.7/src/java/text/resources/>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/taglib/src/main/java/org/apache/struts/taglib/bean/WriteTag.java:283: error: bad use of '>'
[ERROR] * <http://www.dei.unipd.it/corsi/fi2ae-docs/source/jdk1.1.7/src/java/text/resources/>.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/taglib/src/main/java/org/apache/struts/taglib/nested/html/NestedImgTag.java:31: error: no "alt" attribute for image
[ERROR] * NestedImgTag, renders the nested version of the <img> tag.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/taglib/src/main/java/org/apache/struts/taglib/html/BaseTag.java:39: error: unknown tag: base
[ERROR] * Renders an HTML <base> element with an href attribute pointing to the
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/taglib/src/main/java/org/apache/struts/taglib/html/HtmlTag.java:34: error: element not allowed in documentation comments: <html>
[ERROR] * Renders an HTML <html> element with appropriate language attributes if
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/taglib/src/main/java/org/apache/struts/taglib/html/XhtmlTag.java:32: error: self-closing element not allowed
[ERROR] * Example:<br/> &lt;html:xhtml/&gt; </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/ComponentContext.java:110: error: malformed HTML
[ERROR] * @return <{Object}>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/ComponentContext.java:110: error: bad use of '>'
[ERROR] * @return <{Object}>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/ComponentContext.java:122: error: malformed HTML
[ERROR] * @return <{Object}>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/ComponentContext.java:122: error: bad use of '>'
[ERROR] * @return <{Object}>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/ComponentDefinition.java:128: error: exception not thrown: java.lang.InstantiationException
[ERROR] * @throws InstantiationException if an error occur while instanciating Controller :
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/DefinitionsFactoryConfig.java:165: error: element not closed: code
[ERROR] * @return <code>true<code> when in validating mode.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/DefinitionsFactoryConfig.java:165: error: element not closed: code
[ERROR] * @return <code>true<code> when in validating mode.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/TilesRequestProcessor.java:52: error: unexpected end tag: </p>
[ERROR] * </p>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/actions/DefinitionDispatcherAction.java:49: error: tag not allowed here: <li>
[ERROR] * <li>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/actions/DefinitionDispatcherAction.java:50: error: text not allowed in <ul> element
[ERROR] * <ul>To associate an Url to a definition</ul>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/actions/DefinitionDispatcherAction.java:51: error: text not allowed in <ul> element
[ERROR] * <ul>To use Struts &lt;html:link&gt; tag on a definition</ul>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/DefinitionTag.java:94: error: invalid entity &lg;
[ERROR] * Process nested &lg;put&gt; tag.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/DefinitionTag.java:95: error: invalid entity &lg;
[ERROR] * Method is called from nested &lg;put&gt; tags.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/DefinitionTag.java:122: error: invalid entity &lg;
[ERROR] * Process nested &lg;putList&gt; tag.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/DefinitionTag.java:123: error: invalid entity &lg;
[ERROR] * Method is called from nested &lg;putList&gt; tags.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/DefinitionTag.java:34: error: semicolon missing
[ERROR] * used in &lt;tiles:insert&gt.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/InsertTag.java:320: error: invalid entity &lg;
[ERROR] * Process nested &lg;put&gt; tag.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/InsertTag.java:321: error: invalid entity &lg;
[ERROR] * Method calls by nested &lg;put&gt; tags.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/InsertTag.java:339: error: invalid entity &lg;
[ERROR] * Process nested &lg;putList&gt; tag.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/InsertTag.java:340: error: invalid entity &lg;
[ERROR] * Method calls by nested &lg;putList&gt; tags.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/InsertTag.java:364: error: invalid entity &lg;
[ERROR] * Method calls by nested &lg;putList&gt; tags.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/InsertTag.java:552: error: unexpected text
[ERROR] * @throws JspException- NoSuchDefinitionException No Definition  found for name.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/InsertTag.java:553: error: unexpected text
[ERROR] * @throws JspException- FactoryNotFoundException Can't find Definitions factory.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/InsertTag.java:554: error: unexpected text
[ERROR] * @throws JspException- DefinedComponentFactoryException General error in factory.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/PutListTag.java:126: error: invalid entity &lg;
[ERROR] * Process nested &lg;putList&gt; tag.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/PutListTag.java:127: error: invalid entity &lg;
[ERROR] * Method calls by nested &lg;putList&gt; tags.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/PutListTag.java:149: error: invalid entity &lg;
[ERROR] * Process nested &lg;add&gt; tag.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/PutListTag.java:150: error: invalid entity &lg;
[ERROR] * Method calls by nested &lg;add&gt; tags.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/PutTag.java:41: error: tag not allowed here: <li>
[ERROR] * <li>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/PutTag.java:42: error: text not allowed in <ul> element
[ERROR] * <ul>name : Name of the attribute</ul>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/PutTag.java:43: error: text not allowed in <ul> element
[ERROR] * <ul>value | content : value to put as attribute</ul>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/PutTag.java:44: error: text not allowed in <ul> element
[ERROR] * <ul>type : value type. Only valid if value is a String and is set by
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/PutTag.java:49: error: text not allowed in <ul> element
[ERROR] * <ul>direct : Specify if value is to be used as a direct string or as a
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/PutTag.java:52: error: text not allowed in <ul> element
[ERROR] * <ul>beanName : Name of a bean used for setting value. Only valid if value is not set.
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/PutTag.java:55: error: text not allowed in <ul> element
[ERROR] * <ul>beanProperty : Name of the property used for retrieving value.</ul>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/PutTag.java:56: error: text not allowed in <ul> element
[ERROR] * <ul>beanScope : Scope containing bean. </ul>
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/tiles/src/main/java/org/apache/struts/tiles/taglib/PutTag.java:57: error: text not allowed in <ul> element
[ERROR] * <ul>role : Role to check when 'insert' will be called. If enclosing tag is
[ERROR] ^
[ERROR] /builddir/build/BUILD/struts-1.3.10/src/el/src/main/java/org/apache/strutsel/taglib/tiles/ELDefinitionTag.java:31: error: semicolon missing
[ERROR] * be used in &lt;tiles:insert&gt. <p> This class is a subclass of the class
[ERROR] ^
[ERROR] 
[ERROR] Command line was: /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.121-0.b13.el7_3.x86_64/jre/../bin/javadoc @options @packages
[ERROR] 
[ERROR] Refer to the generated Javadoc files in '/builddir/build/BUILD/struts-1.3.10/src/target/site/apidocs' dir.
[ERROR] -> [Help 1]
Version-Release number of selected component (if applicable):
1.3.10-12.el7

Steps to Reproduce:
koji build --scratch epel7 struts-1.3.10-12.el7.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/struts

Comment 1 Michael Mráka 2017-05-11 07:28:20 UTC
commit a3b18b63f3144e02638f42987c349dfca1b1097a
    Fixed FTBFS in EPEL7 RHBZ#1428266

Comment 2 Fedora Update System 2017-05-11 07:39:53 UTC
struts-1.3.10-14.1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2acdfa3ad8

Comment 3 Fedora Update System 2017-05-12 19:56:09 UTC
struts-1.3.10-14.1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2acdfa3ad8

Comment 4 Fedora Update System 2017-05-30 16:54:21 UTC
struts-1.3.10-14.1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.